Bug 442654 - Missing CSS files for web interface
Missing CSS files for web interface
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 22:14 EDT by Austin
Modified: 2008-06-03 10:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 10:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Austin 2008-04-15 22:14:16 EDT
Description of problem:
Logwatch reports missing CSS files when bugzilla pages are viewed:

--------------------- httpd Begin ------------------------ 

 Requests with error response codes
    404 Not Found
       /bugzilla/skins/custom/buglist.css: 6 Time(s)
       /bugzilla/skins/custom/create_attachment.css: 8 Time(s)
       /bugzilla/skins/custom/global.css: 46 Time(s)
 
 ---------------------- httpd End ------------------------- 

Checking the /bugzilla/skins/custom directory shows that it's indeed empty.

Version-Release number of selected component (if applicable):
3.0.2-2.fc7

How reproducible:
Every day in Logwatch emails. Verifiable by inspecting the custom directory.

Steps to Reproduce:
1. install / setup bugzilla via yum / yumex
2. Visit various bugzilla pages via a browser.
3. Observe /var/log/httpd/error.log or wait for the next morning's Logwatch email.
  
Actual results:
Missing files.

Expected results:
The requested files to be included in the bugzilla RPM.

Additional info: Available upon request.
Comment 1 Austin 2008-04-15 22:16:15 EDT
There are other files that should be in that directory, I'm sure. This from a
previous day's Logwatch:

 Requests with error response codes
    404 Not Found
       /bugzilla/skins/custom/buglist.css: 2 Time(s)
       /bugzilla/skins/custom/create_attachment.css: 7 Time(s)
       /bugzilla/skins/custom/global.css: 41 Time(s)
       /bugzilla/skins/custom/index.css: 3 Time(s)
Comment 2 Bug Zapper 2008-05-14 11:26:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Austin 2008-06-02 23:05:33 EDT
An update to 3.0.4-1 appears to have these files in it now. 

The files on my system are all dated 2008-04-22 12:46 and I've not noticed any
404 reports from Apache since.

Marking this bug as verified.

Note You need to log in before you can comment on or make changes to this bug.